Advisory Details

June 11th, 2014

Hewlett-Packard AutoPass License Server Remote Code Execution Vulnerability

ZDI-14-195
ZDI-CAN-2031

CVE ID CVE-2013-6221
CVSS SCORE 10, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Hewlett-Packard
AFFECTED PRODUCTS AutoPass License Server
TIPPINGPOINT™ IPS CUSTOMER PROTECTION TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 13414. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Hewlett-Packard AutoPass License Server. Authentication is not required to exploit this vulnerability.

The flaw exists within the CommunicationServlet. The specific flaw is a directory traversal vulnerability, which allows an unauthenticated user to write a file anywhere on the server. An attacker can leverage this vulnerability to execute arbitrary code in the context of the SYSTEM user.

VENDOR RESPONSE Hewlett-Packard has issued an update to correct this vulnerability. More details can be found at:
https://h20566.www2.hp.com/portal/site/hpsc/public/kb/docDisplay/?docId=emr_na-c04333125
DISCLOSURE TIMELINE
  • 2013-12-09 - Vulnerability reported to vendor
  • 2014-06-11 - Coordinated public release of advisory
CREDIT Andrea Micalizzi aka rgod
BACK TO ADVISORIES